Summary: A network monitoring tool designed for WindowMaker.
Name: wmnet 
Version: 1.06
Release: 6
Copyright: GPL 
Url: http://www.digitalkaos.net/linux/wmnet/
Source: http://www.digitalkaos.net/linux/wmnet/download/wmnet-%{version}.tar.bz2
Patch0: wmnet-1.05-alpha-fix.patch
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-root

%description
WMnet was originally inspired by the program tleds, which blinked your
keyboard's LEDs along with network traffic.  WMnet was written to
provide a better network traffic display than tleds, but to also
incorporate low CPU usage, low memory usage and an efficient use of
screen real estate.  WMnet uses Linux kernel IP accounting, so if you
know how to use ipfwadm you can set WMnet to monitor any type of
network traffic you want, including web server traffic, nfs traffic,
eth0 traffic, etc.

WMnet's display includes transmit and receive blinking lights, a
digital speedometer measuring network speed from 10 bytes/sec to 99.9
megabytes/sec, and a fast scrolling graph measuring transmission and
receiving rates.

%prep
%setup -q 

%ifarch alpha 
%patch0 -p1
%endif

%build
xmkmf 
make
strip wmnet 


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changelog
/usr/X11R6/bin/wmnet

%changelog
* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- rebuilt

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun May 28 2000 Ngo Than <than@redhat.de>
- update to 1.06
- bzip2 source
- update Url

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Mon Jul 26 1999 Tim Powers <timp@redhat.com>
- updated to 1.05
- created patch for alpha so it would build successfully
- built for 6.1

* Wed Apr 15 1999 Michael Maher <mike@redhat.com>
- built package for 6.0


* Mon May 25 1998 Cristian Gafton <gafton@redhat.com>
- built for PowerTools
